<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:fox="http://xml.apache.org/fop/extensions" version="1.1" exclude-result-prefixes="fo">
	<xsl:output method="html" indent="yes"/>

	<xsl:key name="idxaut" match="datafield[@tag=100]|datafield[@tag=700]|datafield[@tag=710]" use="."/> 
	<xsl:key name="idxtit" match="indexsort" use="."/>



	<xsl:template name="AUTHOR" match="collection">

		<xsl:for-each select="level_1/record/datafield[@tag=100]|level_1/record/datafield[@tag=700]|level_1/record/datafield[@tag=710]">
			<xsl:sort select="normalize-space(.)" lang="de-CH"/>
			<xsl:sort select="../indexsort"/>

			<!-- on affiche l'auteur -->
			<xsl:for-each select="current()[count(. | key('idxaut', .)[1]) = 1]">
				<b>
					<xsl:value-of select="."/>
				</b>
				<br/>
				<xsl:for-each select="key('idxaut', .)">
					<xsl:sort select="../indexsort"/>	
					<xsl:for-each select="../indexsort[count(. | key('idxtit', ../indexsort)[1]) = 1]">
						<xsl:for-each select="key('idxtit', ../indexsort)">
							
							<!--<xsl:if test="position()=1"> -->
							<xsl:for-each select="../datafield[@tag=245]">
								<xsl:value-of select="."/>
							</xsl:for-each>	
							<xsl:value-of select="concat(' | ',../recno)"/>
							<br/>				
						<!--</xsl:if> -->
						</xsl:for-each>				

					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="collection">
		<html>
			<xsl:call-template name="AUTHOR"/>
		</html>
	</xsl:template>

</xsl:stylesheet>